# gstopencvvideofilter

## Functions

### gst_opencv_video_filter_get_type

    GType
    gst_opencv_video_filter_get_type ()

Returns (GType) –
No description available

### gst_opencv_video_filter_set_in_place

    void
    gst_opencv_video_filter_set_in_place (GstOpencvVideoFilter * transform,
                                          gboolean ip)

Parameters:

`transform` –
No description available
`ip` –
No description available
Returns (void ) –
No description available

## Structures

### GstOpencvVideoFilter

### GstOpencvVideoFilterClass

## Callbacks

### GstOpencvVideoFilterSetCaps

    gboolean
    (*GstOpencvVideoFilterSetCaps) (GstOpencvVideoFilter * transform,
                                    gint in_width,
                                    gint in_height,
                                    int  in_cv_type,
                                    gint out_width,
                                    gint out_height,
                                    int  out_cv_type)

Parameters:

`transform` –
No description available
`in_width` –
No description available
`in_height` –
No description available
`in_cv_type` –
No description available
`out_width` –
No description available
`out_height` –
No description available
`out_cv_type` –
No description available
Returns (gboolean) –
No description available

### GstOpencvVideoFilterTransformFunc

    GstFlowReturn
    (*GstOpencvVideoFilterTransformFunc) (GstOpencvVideoFilter * transform,
                                          GstBuffer * buffer,
                                          Mat img,
                                          GstBuffer * outbuf,
                                          Mat outimg)

Parameters:

`transform` –
No description available
`buffer` –
No description available
`img` –
No description available
`outbuf` –
No description available
`outimg` –
No description available
Returns (GstFlowReturn) –
No description available

### GstOpencvVideoFilterTransformIPFunc

    GstFlowReturn
    (*GstOpencvVideoFilterTransformIPFunc) (GstOpencvVideoFilter * transform,
                                            GstBuffer * buffer,
                                            Mat img)

Parameters:

`transform` –
No description available
`buffer` –
No description available
`img` –
No description available
Returns (GstFlowReturn) –
No description available

The results of the search are